package com.yihu.hos.crawler.model.transform;

import com.yihu.hos.crawler.model.standard.StdMetaData;

/**
 * @author Airhead
 * @version 1.0
 * @created 22-5-2015 11:24:25
 */
public class MetaDataVerify implements IVerifier {

    private StdMetaData stdMetaData;
    private String value;
    private String errorInfo;

    public MetaDataVerify(StdMetaData stdMetaData, String value) {
        this.stdMetaData = stdMetaData;
        this.value = value;
    }

    public void finalize() throws Throwable {

    }

    /**
     * 目前不做任何数据校验
     * 必要时根据StdMetaData的type, format内容做校验
     */
    public boolean check() {
        return true;
    }

    @Override
    public String getErrorInfo() {
        return errorInfo;
    }
}//end MetaDataVerify